Bug 17641 - t/Biblio/Isbd.t is failing
Summary: t/Biblio/Isbd.t is failing
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-16 09:49 UTC by Jonathan Druart
Modified: 2017-06-14 22:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17641: Fix t/Biblio/Isbd.t (1.15 KB, patch)
2016-11-16 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17641: Fix t/Biblio/Isbd.t (1.25 KB, patch)
2016-11-16 11:20 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17641: Fix t/Biblio/Isbd.t (1.31 KB, patch)
2016-11-16 13:36 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-16 09:49:02 UTC

    
Comment 1 Jonathan Druart 2016-11-16 09:51:22 UTC
Created attachment 57531 [details] [review]
Bug 17641: Fix t/Biblio/Isbd.t

On commit cadf5aea814636ccccd85fcc38aa30f751d779c0
    Bug 11592: MARCView and ISBD followup
The prototype of C4::Biblio::GetISBDView has been changed to take a
hashref in parameter.
But the tests have not been updated

Test plan:
  prove t/Biblio/Isbd.t
should return green
Comment 2 Kyle M Hall 2016-11-16 11:20:33 UTC
Created attachment 57536 [details] [review]
Bug 17641: Fix t/Biblio/Isbd.t

On commit cadf5aea814636ccccd85fcc38aa30f751d779c0
    Bug 11592: MARCView and ISBD followup
The prototype of C4::Biblio::GetISBDView has been changed to take a
hashref in parameter.
But the tests have not been updated

Test plan:
  prove t/Biblio/Isbd.t
should return green

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

https://bugs.koha-community.org/show_bug.cgi?id=17637
Comment 3 Tomás Cohen Arazi 2016-11-16 13:36:06 UTC
Created attachment 57545 [details] [review]
Bug 17641: Fix t/Biblio/Isbd.t

On commit cadf5aea814636ccccd85fcc38aa30f751d779c0
    Bug 11592: MARCView and ISBD followup
The prototype of C4::Biblio::GetISBDView has been changed to take a
hashref in parameter.
But the tests have not been updated

Test plan:
  prove t/Biblio/Isbd.t
should return green

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Kyle M Hall 2016-11-16 14:02:39 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Mason James 2016-12-14 11:16:31 UTC
Pushed to 16.05.x, for 16.05.06 release